arundeepbv BHPian

Join Date: Aug 2018 Location: Bangalore Posts: 49 Thanked: 197 Times

Monsoon Wanderlust: Chasing Waterfalls and Rainy Adventures in a Toyota Fortuner

However, little did I know that this alternative path had its own challenges. The road between Hosapete and Bijapur was dotted with speed breakers, slowing down our journey considerably. The stretch from Bijapur to Satara proved to be a single-lane road under ongoing construction, further adding to our travel time. Despite our initial plan to reach Satara by 6 a.m.









On the way To Thoseghar Falls On the way To Thoseghar Falls



we found ourselves arriving around 2 p.m., a considerable delay from our intended schedule. Our first stop was the awe-inspiring Thoseghar Falls, where the heavens opened up and the waterfalls danced in jubilation.













Thoseghar Falls Thoseghar Falls

The captivating sight left us in awe, and with minimal crowds, we relished the serenity of the cascades, grateful for this precious moment in nature. I had expected to encounter leeches during this time of the year, but to my relief, there were none in sight.



As we meandered towards our next destination, the enchanting Kas Pathar, I couldn't help but notice the absence of the expected leeches, a delightful surprise indeed. However, our plan to explore the small roads through Godbole Rock en route to Kas Pathar was thwarted by locals' advice, cautioning against their condition amidst the relentless rain. Nevertheless, we embarked on the scenic journey back to Satara and finally arrived at Kas Pathar around 4 PM.





Satara City







Kas Pathar Satara CityKas Pathar



Kas Pathar welcomed us with a mystical embrace, shrouded in mist and gentle drizzles, making it an ethereal experience. The locals shared that the true splendor of this place reveals itself during the Ganesha festival when vibrant flowers bloom in abundance, promising a visit to remember.



Our monsoon adventure continued as we set our sights on the majestic Raigad Fort, a route that led us through the picturesque Mahabaleshwar. Initially, we planned to take the scenic route via the Koyna Wildlife Sanctuary, but we discovered that the Koyna lake had overflowed, closing the road. Adapting to the situation, we embarked on the breathtaking Kaas-Mahabaleshwar Road, surrounded by thousands of enchanting waterfalls cascading down the landscape. The Ekiva waterfall, a hidden gem near the Ekiva village, left us mesmerized as we navigated through the fog with limited visibility.















Kaas-Mahabaleshwar Road Kaas-Mahabaleshwar Road

The relentless rain and dense fog made driving challenging, prompting us to seek refuge at Hotel Vedanta alongside the road. This impromptu stay turned out to be a delightful surprise, offering much-needed comfort and respite from the captivating yet demanding monsoon adventure.





Exploring the Enchanting Landscapes: A Monsoon Journey - Day 2



As the sun began to rise on the second day of our monsoon escapade, our spirits were renewed with anticipation. We set out early and enjoyed a hearty breakfast at Poladpur, a quaint spot to recharge before embarking on our day's adventures. Our drive along the picturesque Savitri river offered glimpses of nature's splendor, setting the tone for what lay ahead.







Savitri river Savitri river

The highway beckoned, and we merged onto NH 66, the famed Bombay-Goa national highway, en route to our next destination, the illustrious Raigad Fort. However, to our disappointment, we learned upon arrival around 10 AM that the fort's hiking trails were closed due to safety concerns. Additionally, the ropeway system was non-operational due to high winds. Nevertheless, undeterred by this setback, we spent some time around, hoping for a change in conditions that would allow us to explore further. Alas, the winds persisted, and we had to bid adieu to the notion of ascending the fort that day.







Raigad Fort Ropeway Raigad Fort Ropeway

Our adventurous spirit still burning bright, we set our sights on Kumbhe Waterfalls, a natural wonder located approximately 35 km from Raigad Fort. The drive to the falls was a leisurely one, granting us ample time to soak in the breathtaking beauty of the Sahyadri hills. As we approached Kumbhe Waterfalls around 12 PM, a mystical fog enveloped the surroundings, shrouding the falls from view at the viewpoint. Nonetheless, undeterred by the weather, we explored the charming Kumbhe village and chanced upon a hydroelectric plant, adding a touch of intrigue to our visit.







Kumbhe Tunnel







Workshop in ruins







Gost bridge ?







Beautiful Roads Kumbhe TunnelWorkshop in ruinsGost bridge ?Beautiful Roads

With cherished memories from Kumbhe, our journey continued towards the enchanting Aare Ware Beach, approximately 230 kilometers away. In Mahad, we indulged in a satisfying lunch before traversing through the towns of Khavati and Khed, each offering unique glimpses of the region's culture and charm. As the day wore on, the clock struck midnight, and we arrived at the serene Aare Ware Beach.



We settled into a cozy roadside hotel, embracing the tranquil ambiance of the coastal haven. Despite the long day of travel, our hearts brimmed with joy and gratitude for the remarkable landscapes and experiences that defined our journey thus far. As we drifted into slumber, we eagerly awaited the treasures that awaited us on the next leg of this monsoon odyssey.





Journey's End: A Memorable Monsoon Drive - Day 3



As the sun painted the sky with hues of dawn, we rose early to embark on the final leg of our monsoon adventure back to Bangalore. With a captivating waterfall in our sights, our first stop was the mesmerizing Tad Waterfall. En route, we passed through the charming town of Ratnagiri, teeming with attractions that, regrettably, time did not allow us to explore fully. Nonetheless, we made a brief stop at Bhatye Beach, where the ferocious waves put on a captivating display, leaving us in awe of the sea's untamed beauty.







Aare Ware Beach Aare Ware Beach

Arriving at the Tad Waterfall trek point around 9 AM, we set out on a 3-kilometer trek to witness the spectacle of the waterfall cascading directly into the sea. However, the high tide prevented us from reaching the waterfall itself, yet the experience was nothing short of extraordinary  nature in all its breathtaking glory. Along the way to the falls, we encountered the Kasheli Petroglyphs, a site of historical significance, boasting the largest collection of carvings discovered so far. For history buffs, this is an absolute must-visit in the area.







Kasheli plateau







Delicate blooms







Me searching for the path Kasheli plateauDelicate bloomsMe searching for the path

After a gratifying time exploring the Laterite plateaux, we began our journey back to Bangalore around 11 AM. With breakfast skipped in favor of an early start, we settled for a quick brunch at a quaint Restaurant hotel in Kasheli village.







Small Restaurant in Kasheli Village







View From the Restaurant Small Restaurant in Kasheli VillageView From the Restaurant

Our route merged back onto the NH-66 at Rajapur, and while we initially intended to drive via Nipanni, we decided to stay on the awe-inspiring NH-66 until Goa. This engineering marvel of a road, juxtaposed against the stunning natural backdrop, made it hard to wish for the journey's end.



Taking a brief detour from the NH-66 at Banda, we turned left towards Ramnagar. The time was early evening when we reached Mollem, and though we searched for a proper lunch, we had to settle for snacks. The road from Mollem to Ramnagar maintained decent conditions, yet the stretch between Ramnagar and Hubli left much to be desired.



By 10 PM, we merged back onto NH-48 and paused for dinner at one of the hotels near Shiggaon. As we continued towards Bangalore, we encountered a significant increase in traffic after crossing Chitradurga, and the ever-bustling highway accompanied us all the way to Tumkur. The final leg of our journey, from Tumkur to Nelmangala, tested our patience with its dual carriageway bustling with trucks, buses, and impatient cars.



Finally, at 4 in the morning, we arrived at the comfort of our own home, capping off an unforgettable journey spanning 2115 kilometers. The cherished memories of our monsoon drive will forever remain etched in our hearts, a testament to the beauty of nature and the thrill of adventure.The monsoon's magic had etched memories in our hearts, a celebration of nature's wonders and the joy of discovery. Our journey was enriched not just by the picturesque landscapes but also by the moments shared and savored along the way. Until our next expedition, may the allure of the open road beckon us, guiding us towards new horizons. Happy travels!" As the allure of the monsoon season beckoned, and with spirits brimming with excitement we set off from Bangalore on a thrilling monsoon drive. We started our journey around 10PM and the initial plan was to reach Satara by 6 AM. Our chosen path took us through the scenic town of Bijapur, a detour from the more conventional route through Belagavi, Kolhapur, and Satara.However, little did I know that this alternative path had its own challenges. The road between Hosapete and Bijapur was dotted with speed breakers, slowing down our journey considerably. The stretch from Bijapur to Satara proved to be a single-lane road under ongoing construction, further adding to our travel time. Despite our initial plan to reach Satara by 6 a.m.we found ourselves arriving around 2 p.m., a considerable delay from our intended schedule. Our first stop was the awe-inspiring Thoseghar Falls, where the heavens opened up and the waterfalls danced in jubilation.The captivating sight left us in awe, and with minimal crowds, we relished the serenity of the cascades, grateful for this precious moment in nature. I had expected to encounter leeches during this time of the year, but to my relief, there were none in sight.As we meandered towards our next destination, the enchanting Kas Pathar, I couldn't help but notice the absence of the expected leeches, a delightful surprise indeed. However, our plan to explore the small roads through Godbole Rock en route to Kas Pathar was thwarted by locals' advice, cautioning against their condition amidst the relentless rain. Nevertheless, we embarked on the scenic journey back to Satara and finally arrived at Kas Pathar around 4 PM.Kas Pathar welcomed us with a mystical embrace, shrouded in mist and gentle drizzles, making it an ethereal experience. The locals shared that the true splendor of this place reveals itself during the Ganesha festival when vibrant flowers bloom in abundance, promising a visit to remember.Our monsoon adventure continued as we set our sights on the majestic Raigad Fort, a route that led us through the picturesque Mahabaleshwar. Initially, we planned to take the scenic route via the Koyna Wildlife Sanctuary, but we discovered that the Koyna lake had overflowed, closing the road. Adapting to the situation, we embarked on the breathtaking Kaas-Mahabaleshwar Road, surrounded by thousands of enchanting waterfalls cascading down the landscape. The Ekiva waterfall, a hidden gem near the Ekiva village, left us mesmerized as we navigated through the fog with limited visibility.The relentless rain and dense fog made driving challenging, prompting us to seek refuge at Hotel Vedanta alongside the road. This impromptu stay turned out to be a delightful surprise, offering much-needed comfort and respite from the captivating yet demanding monsoon adventure.As the sun began to rise on the second day of our monsoon escapade, our spirits were renewed with anticipation. We set out early and enjoyed a hearty breakfast at Poladpur, a quaint spot to recharge before embarking on our day's adventures. Our drive along the picturesque Savitri river offered glimpses of nature's splendor, setting the tone for what lay ahead.The highway beckoned, and we merged onto NH 66, the famed Bombay-Goa national highway, en route to our next destination, the illustrious Raigad Fort. However, to our disappointment, we learned upon arrival around 10 AM that the fort's hiking trails were closed due to safety concerns. Additionally, the ropeway system was non-operational due to high winds. Nevertheless, undeterred by this setback, we spent some time around, hoping for a change in conditions that would allow us to explore further. Alas, the winds persisted, and we had to bid adieu to the notion of ascending the fort that day.Our adventurous spirit still burning bright, we set our sights on Kumbhe Waterfalls, a natural wonder located approximately 35 km from Raigad Fort. The drive to the falls was a leisurely one, granting us ample time to soak in the breathtaking beauty of the Sahyadri hills. As we approached Kumbhe Waterfalls around 12 PM, a mystical fog enveloped the surroundings, shrouding the falls from view at the viewpoint. Nonetheless, undeterred by the weather, we explored the charming Kumbhe village and chanced upon a hydroelectric plant, adding a touch of intrigue to our visit.With cherished memories from Kumbhe, our journey continued towards the enchanting Aare Ware Beach, approximately 230 kilometers away. In Mahad, we indulged in a satisfying lunch before traversing through the towns of Khavati and Khed, each offering unique glimpses of the region's culture and charm. As the day wore on, the clock struck midnight, and we arrived at the serene Aare Ware Beach.We settled into a cozy roadside hotel, embracing the tranquil ambiance of the coastal haven. Despite the long day of travel, our hearts brimmed with joy and gratitude for the remarkable landscapes and experiences that defined our journey thus far. As we drifted into slumber, we eagerly awaited the treasures that awaited us on the next leg of this monsoon odyssey.As the sun painted the sky with hues of dawn, we rose early to embark on the final leg of our monsoon adventure back to Bangalore. With a captivating waterfall in our sights, our first stop was the mesmerizing Tad Waterfall. En route, we passed through the charming town of Ratnagiri, teeming with attractions that, regrettably, time did not allow us to explore fully. Nonetheless, we made a brief stop at Bhatye Beach, where the ferocious waves put on a captivating display, leaving us in awe of the sea's untamed beauty.Arriving at the Tad Waterfall trek point around 9 AM, we set out on a 3-kilometer trek to witness the spectacle of the waterfall cascading directly into the sea. However, the high tide prevented us from reaching the waterfall itself, yet the experience was nothing short of extraordinary  nature in all its breathtaking glory. Along the way to the falls, we encountered the Kasheli Petroglyphs, a site of historical significance, boasting the largest collection of carvings discovered so far. For history buffs, this is an absolute must-visit in the area.After a gratifying time exploring the Laterite plateaux, we began our journey back to Bangalore around 11 AM. With breakfast skipped in favor of an early start, we settled for a quick brunch at a quaint Restaurant hotel in Kasheli village.Our route merged back onto the NH-66 at Rajapur, and while we initially intended to drive via Nipanni, we decided to stay on the awe-inspiring NH-66 until Goa. This engineering marvel of a road, juxtaposed against the stunning natural backdrop, made it hard to wish for the journey's end.Taking a brief detour from the NH-66 at Banda, we turned left towards Ramnagar. The time was early evening when we reached Mollem, and though we searched for a proper lunch, we had to settle for snacks. The road from Mollem to Ramnagar maintained decent conditions, yet the stretch between Ramnagar and Hubli left much to be desired.By 10 PM, we merged back onto NH-48 and paused for dinner at one of the hotels near Shiggaon. As we continued towards Bangalore, we encountered a significant increase in traffic after crossing Chitradurga, and the ever-bustling highway accompanied us all the way to Tumkur. The final leg of our journey, from Tumkur to Nelmangala, tested our patience with its dual carriageway bustling with trucks, buses, and impatient cars.Finally, at 4 in the morning, we arrived at the comfort of our own home, capping off an unforgettable journey spanning 2115 kilometers. The cherished memories of our monsoon drive will forever remain etched in our hearts, a testament to the beauty of nature and the thrill of adventure.The monsoon's magic had etched memories in our hearts, a celebration of nature's wonders and the joy of discovery. Our journey was enriched not just by the picturesque landscapes but also by the moments shared and savored along the way. Until our next expedition, may the allure of the open road beckon us, guiding us towards new horizons. Happy travels!"